=== modified file 'weavefile.py'
--- weavefile.py	2005-06-30 07:20:43 +0000
+++ weavefile.py	2005-06-30 07:49:50 +0000
@@ -41,6 +41,12 @@
 
 
 
+def write_weave(weave, f, format=None):
+    if format == None or format == 1:
+        return write_weave_v1(weave, f)
+    else:
+        raise ValueError("unknown weave format %r" % format)
+
 
 def write_weave_v1(weave, f):
     """Write weave to file f."""
@@ -80,6 +86,11 @@
     print >>f, 'W'
 
 
+
+def read_weave(f):
+    return read_weave_v1(f)
+
+
 def read_weave_v1(f):
     from weave import Weave, VerInfo, WeaveFormatError
     w = Weave()

